Bug 2378 - net rpc trustdom add create an invalid intertrust domain account
net rpc trustdom add create an invalid intertrust domain account
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.11
x86 Linux
: P3 minor
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 08:39 UTC by TAKAHASHI Motonobu
Modified: 2005-08-24 10:28 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2005-02-22 08:39:54 UTC
"net rpc trustdom add" command creates an intertrust domain account but with no 
password.

# net rpc trustdom add rumba rumba4 -U Administrator%password
# pdbedit -Lw
(snip)
rumba$:4020:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX:
[DI      ]:LCT-00000000:
(snip)

We still use "smbpasswd -a -i'" to create an intertrust domain account 
correctly.
Comment 1 Gerald (Jerry) Carter 2005-02-24 09:51:46 UTC
'net rpc trustdom add' is not yet supported. smbpasswd -a -i is 
still the way to go.
Comment 2 Jim McDonough 2005-02-26 08:42:42 UTC
reopening to fix
Comment 3 Jim McDonough 2005-02-26 08:42:55 UTC
Fixed in rev 5580 in SAMBA_3_0
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:28:00 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.